# CompositeSpec

abstract class CompositeSpec<T> : Spec<T>

A org.gradle.api.specs.Spec which aggregates a sequence of other `Spec` instances.

#### Parameters

<T>

The target type for this Spec

#### Inheritors

AndSpec
OrSpec

## Functions

equals
Link copied to clipboard
fun equals(o: Any): Boolean
getSpecs
Link copied to clipboard
open fun getSpecs(): List<Spec<in T>>
hashCode
Link copied to clipboard
fun hashCode(): Int
invoke
Link copied to clipboard
operator fun <T> Spec<T>.invoke(arg: T): Boolean

Enables function invocation syntax on Spec instances.

isEmpty
Link copied to clipboard
open fun isEmpty(): Boolean
isSatisfiedBy
Link copied to clipboard
abstract fun isSatisfiedBy(element: T): Boolean